<?php
$CONFIG = array (
  'passwordsalt' => getenv('PASSWORD_SALT'),
  'secret' => getenv('SECRET'),
  'trusted_domains' =>
  array (
    0 => getenv('NEXTCLOUD_TRUSTED_DOMAINS') ?: 'localhost',
  ),
  'overwrite.cli.url' => getenv('OVERWRITE_CLI_URL') ?: 'http://localhost',
  'overwriteprotocol' => getenv('OVERWRITE_PROTOCOL') ?: '',
  'version' => getenv('VERSION'),
  'debug' => getenv('DEBUG'),
  'instanceid' => getenv('INSTANCE_ID'),
  'config_is_read_only' => getenv('CONFIG_READONLY') ?: false,
  'skeletondirectory' => '',
  'updatechecker' => getenv('UPDATE_CHECKER') ?: false,
  'updater.server.url' => getenv('UPDATE_URL') ?: 'https://updates.nextcloud.com/updater_server/',
  'updater.release.channel' => getenv('UPDATE_CHANNEL') ?: 'stable',
  'upgrade.disable-web' => getenv('UPDATE_DISABLE_WEB') ?: 'false',
  // sharing https://github.com/nextcloud/server/blob/master/config/config.sample.php#L1458-L1475
  'sharing.maxAutocompleteResults' => 10,
  'sharing.minSearchStringLength' => 2,
  // https://docs.nextcloud.com/server/latest/admin_manual/configuration_server/config_sample_php_parameters.html#deleted-items-trash-bin
  // delete all files in the trash bin that are older than 30 days automatically, delete other files anytime if space needed (trash takes more than 50% of quota)
  'trashbin_retention_obligation' => 'auto,30',
  // https://docs.nextcloud.com/server/latest/admin_manual/configuration_server/config_sample_php_parameters.html#file-versions
  // delete all versions older than 365 days automatically, delete other versions anytime if space needed (versions takes more than 50% of quota)
  'versions_retention_obligation' => 'auto,365',
  'logfile' => '/dev/stdout',
  'activity_expire_days' => 30,
);
